package ambienteGrafico.componentes;


import javax.swing.JButton;
import org.jvnet.substance.SubstanceButtonUI;


public class MyJButton extends JButton{
	
	private String funcao = "";
	private int idAlvo=-1;
	private int idObstaculo=-1;
	private double diametroTubo=0;

	

	public MyJButton(){
		super();
	}

	public String getFuncao() {
		return funcao;
	}

	public void setFuncao(String funcao) {
		this.funcao = funcao;
	}
	
	public int getIdAlvo() {
		return idAlvo;
	}

	public void setIdAlvo(int idAlvo) {
		this.idAlvo = idAlvo;
	}

	public int getIdObstaculo() {
		return idObstaculo;
	}

	public void setIdObstaculo(int idObstaculo) {
		this.idObstaculo = idObstaculo;
	}
	
	public double getDiametroTubo() {
		return diametroTubo;
	}

	public void setDiametroTubo(double diametroTubo) {
		this.diametroTubo = diametroTubo;
	}
        

}
